Subject: bug#14071: closed (Re: bug#14071: Store keyboard macros in registers)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Mar 2013 15:02:02 +0000

Your bug report

#14071: Store keyboard macros in registers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14071: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14071
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14071: Store keyboard macros in registers
From: Leo Liu <[email-masked]>
To: [email-masked]
Cc: Bastien <[email-masked]>
Date: Fri, 29 Mar 2013 22:58:26 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed in trunk.

Bastien, I have put it in trunk (r112181) feel free to give it a try and
tweak it as you see fit. Turns out quite a nice feature to have ;)

Leo

Subject: Store keyboard macros in registers
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Thu, 28 Mar 2013 11:19:11 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Subject: Re: kmacro-to-register
From: Bastien <[email-masked]>
To: Leo Liu <[email-masked]>
Cc: [email-masked]
Date: Tue, 26 Mar 2013 13:59:47 +0100
Newsgroups: gmane.emacs.devel
List-Id: "Emacs development discussions." <emacs-devel.gnu.org>

Hi Leo,

Leo Liu <[email-masked]> writes:

> I am thinking of adding a command kmacro-to-register which would allow
> one to store kmacros in registers. Not a heavy user of kmacros I am
> interested in knowing if this is generally useful.

I would find this useful.

> I am undecided about the action to take for jump to such a register:
>
>   Option 1: restore the kmacro in the register as current
>   Option 2: just play the kmacro in the register

I vote for option 2.  Since the purpose of storing kmacros into
registers is to make them available during the whole session, no
need to use the "current kmacro", which is useful to have as a 
temporary kmacro.

Thanks,

-- 
 Bastien